List Reddit opportunities
Reddit threads that AI engines cite, and recent threads where your brand could join the conversation. Newest first.
Authorization
bearer AuthorizationBearer <token>
An API key from Settings → API keys in the Gensiv app.
In: header
Path Parameters
brandId*string
A brand id from GET /v1/brands.
Format
uuidQuery Parameters
type?string
ai: threads AI engines cite in their answers. outreach: recent threads where your brand could join the conversation.
Value in
- "ai"
- "outreach"
status?string
Value in
- "new"
- "saved"
- "dismissed"
- "drafted"
- "posted"
limit?number
Maximum number of opportunities to return.
Range
1 <= value <= 100Default
25cursor?string
The nextCursor value from the previous page.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/v1/brands/497f6eca-6276-4993-bfeb-53cbbbba6f08/reddit/opportunities"{ "data": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "type": "ai", "status": "new", "subreddit": "CRM", "title": "Which CRM do you use for a 10-person agency?", "url": "https://www.reddit.com/r/CRM/comments/abc123/", "upvotes": 48, "comments": 31, "aiContentPolicy": "banned", "promotionPolicy": "banned", "postedAt": "2019-08-24T14:15:22Z", "citedAt": "2019-08-24T14:15:22Z", "createdAt": "2019-08-24T14:15:22Z" } ], "nextCursor": "string"}